Subject: Re: linux-next: Signed-off-by missing for commits in the net-next tree

From: Stephen Rothwell <[email-masked]>
Date: Mon, 2 Apr 2018 16:50:01 +1000

Hi Johan,

On Mon, 2 Apr 2018 08:38:03 +0300 Johan Hedberg <[email-masked]> wrote:
>
> On Mon, Apr 02, 2018, Stephen Rothwell wrote:
> >   45a42bc9cc65 ("Bluetooth: hci_bcm: Remove DMI quirk for the MINIX Z83-4")
> >   f9b95db0165a ("Bluetooth: btrsi: remove unused including <linux/version.h>")
> >   96e58d368fa6 ("Bluetooth: Set HCI_QUIRK_SIMULTANEOUS_DISCOVERY for BTUSB_QCA_ROME")
> >   9ea471320e13 ("Bluetooth: Mark expected switch fall-throughs")
> > 
> > are missing a Signed-off-by from their committer.  
> 
> I think this is because I fixed up a missing author name in "Bluetooth:
> hci_bcm: Remove DMI quirk for the MINIX Z83-4" and did a push --force,
> whereas these patches were originally committed by Marcel. Should I be
> adding my signed-off-by to all affected patches when doing such rebases?

Yep, Ideally we should have a Signed-off-by from everyone who involved
in getting the patches into the final tree.  That definitely means that
the final committer needs to add one.

-- 
Cheers,
Stephen Rothwell